io.vertx.json.schema.draft7

## Class Draft7SchemaParser

- java.lang.Object
- - io.vertx.json.schema.common.BaseSchemaParser
  - - io.vertx.json.schema.draft7.Draft7SchemaParser

- All Implemented Interfaces:
    SchemaParserInternal, SchemaParser

      public class Draft7SchemaParser
      extends BaseSchemaParser

- - ### Field Summary

    - ### Fields inherited from class io.vertx.json.schema.common.BaseSchemaParser

      `router, validatorFactories`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Draft7SchemaParser(SchemaRouter router)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Draft7SchemaParser` | `create(SchemaRouter router)` Instantiate a Draft7SchemaParser
    `protected List<ValidatorFactory>` | `initValidatorFactories()`
    `static Schema` | `parse(Vertx vertx, JsonObject schema, URI scope)` Parse a draft-7 schema

    - ### Methods inherited from class io.vertx.json.schema.common.BaseSchemaParser

      `createSchema, getSchemaRouter, parse, parseFromString, resolveIdAndAlias, withStringFormatValidator, withValidatorFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.json.schema.common.SchemaParserInternal

      `parse, parse, parse, parse, parse, parse, parse, parseFromString, parseFromString, parseFromString, parseFromString`

    - ### Methods inherited from interface io.vertx.json.schema.SchemaParser

      `createDraft201909SchemaParser, createDraft7SchemaParser, createOpenAPI3SchemaParser`

- - ### Constructor Detail

    - #### Draft7SchemaParser

          protected Draft7SchemaParser(SchemaRouter router)

  - ### Method Detail

    - #### initValidatorFactories

          protected List<ValidatorFactory> initValidatorFactories()

      Specified by:
        `initValidatorFactories` in class `BaseSchemaParser`

    - #### create

          public static Draft7SchemaParser create(SchemaRouter router)

      Instantiate a Draft7SchemaParser
      Parameters:
        `router` - router to associate to read $ref
      Returns:
        a new instance of Draft7SchemaParser

    - #### parse

          public static Schema parse(Vertx vertx,
                                     JsonObject schema,
                                     URI scope)

      Parse a draft-7 schema
      Parameters:
        `vertx` - this vertx instance
        `schema` - parsed json schema
        `scope` - scope of json schema
      Returns:
        a new instance of Draft7SchemaParser
      Throws:
        `SchemaException` - if schema is invalid

Copyright © 2021 Eclipse. All rights reserved.